Serial numbers
Update a serial number
Partially updates specific fields of an existing serial number without affecting the rest of the data.
Partially updates specific fields of an existing serial number without affecting the rest of the data.
AuthorizationBearer <token>
In: header
Path Parameters
id*string
SerialNumber identifier
Request Body
application/merge-patch+json
The updated SerialNumber resource
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://api.skalasuite.com/api/serial_numbers/string" \ -H "Content-Type: application/merge-patch+json" \ -d ''{
"id": 0,
"workOrder": {
"id": 0,
"code": "string",
"serialNumbers": [
{}
]
},
"serialNumber": "string",
"isUsed": true,
"isCompleted": true,
"stockVariant": "/entity/1",
"invoice": {
"id": 0,
"code": "string"
},
"workOrderMaterial": {
"workOrder": {
"id": 0,
"code": "string",
"serialNumbers": [
{}
]
}
},
"invoiceItem": {
"id": 0,
"invoice": {
"id": 0,
"code": "string"
}
}
}Empty
Empty
Empty
